Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 647810 (CVE-2017-17724) - <media-gfx/exiv2-0.26_p20180811-r2: heap-buffer-overflow in Exiv2::IptcData::printStructure in src/iptc.cpp (CVE-2017-17724)
Summary: <media-gfx/exiv2-0.26_p20180811-r2: heap-buffer-overflow in Exiv2::IptcData::...
Status: RESOLVED FIXED
Alias: CVE-2017-17724
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://github.com/Exiv2/exiv2/issues...
Whiteboard: B3 [glsa++ cve]
Keywords:
Depends on: CVE-2018-10780, CVE-2018-10998, CVE-2018-10999, CVE-2018-11531, CVE-2018-12264, CVE-2018-12265
Blocks:
  Show dependency tree
 
Reported: 2018-02-16 01:00 UTC by GLSAMaker/CVETool Bot
Modified: 2018-11-24 21:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-02-16 01:00:25 UTC
CVE-2017-17724 (https://nvd.nist.gov/vuln/detail/CVE-2017-17724):
  In Exiv2 0.26, there is a heap-based buffer over-read in the
  Exiv2::IptcData::printStructure function in iptc.cpp. Remote attackers can
  exploit this vulnerability to cause a denial of service via a crafted TIFF
  file.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-02-16 23:06:22 UTC
Plus 'secondary' issue: https://github.com/Exiv2/exiv2/issues/209
Comment 2 Andreas Sturmlechner gentoo-dev 2018-09-16 00:34:13 UTC
See also: https://github.com/Exiv2/exiv2/pull/180

This change is rather substantial, so that it won't make much sense anymore to backport to 0.26 branch.
Comment 3 Larry the Git Cow gentoo-dev 2018-09-21 13:59:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58faaacd193af38a758055cb35d9a6082486bea6

commit 58faaacd193af38a758055cb35d9a6082486bea6
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-09-21 13:47:24 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-09-21 13:57:05 +0000

    media-gfx/exiv2: Tarball respun for CVE-2017-17724
    
    Custom packed tarball based on upstream 0.26 branch as of 2018-08-11,
    with additional fixes from git master.
    
    Ignore massive test suite changes, since we do not use it at all in 0.26.
    
    Bug: https://bugs.gentoo.org/647810
    Package-Manager: Portage-2.3.49, Repoman-2.3.10

 media-gfx/exiv2/Manifest                       |   1 +
 media-gfx/exiv2/exiv2-0.26_p20180811-r2.ebuild | 123 +++++++++++++++++++++++++
 2 files changed, 124 insertions(+)
Comment 4 Andreas Sturmlechner gentoo-dev 2018-11-11 22:27:27 UTC
Cleanup/KDE done here.
Comment 5 Yury German Gentoo Infrastructure gentoo-dev Security 2018-11-13 06:46:10 UTC
Arches and Maintainer(s), Thank you for your work.

New GLSA Request filed.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2018-11-24 21:45:34 UTC
This issue was resolved and addressed in
 GLSA 201811-14 at https://security.gentoo.org/glsa/201811-14
by GLSA coordinator Aaron Bauman (b-man).
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2018-11-24 21:46:33 UTC
This issue was resolved and addressed in
 GLSA 201811-14 at https://security.gentoo.org/glsa/201811-14
by GLSA coordinator Aaron Bauman (b-man).